: ${prefix=/usr/local}
: ${tmp=/tmp}
: ${awk=/usr/bin/awk}
: ${ports=/usr/ports}

files="
bsdadminscripts.1,0644,%%MAN%%/man1/bsdadminscripts.1
buildflags.awk,0755,%%PREFIX%%/share/bsdadminscripts/buildflags.awk
buildflags.conf.sample,0644,%%PREFIX%%/etc/buildflags.conf.sample
buildflags.mk,0644,%%PREFIX%%/share/bsdadminscripts/buildflags.mk
buildflags.awk.1,0644,%%MAN%%/man1/buildflags.awk.1
buildflags.conf.1,0644,%%MAN%%/man1/buildflags.conf.1
buildflags.mk.1,0644,%%MAN%%/man1/buildflags.mk.1
pkg_libchk,0755,%%PREFIX%%/sbin/pkg_libchk
pkg_libchk.1,0644,%%MAN%%/man1/pkg_libchk.1
pkg_validate,0755,%%PREFIX%%/sbin/pkg_validate
pkg_validate.1,0644,%%MAN%%/man1/pkg_validate.1
portconfig,0755,%%PREFIX%%/sbin/portconfig
portconfig.1,0644,%%MAN%%/man1/portconfig.1
rcstart,0755,%%PREFIX%%/sbin/rcstart
rcstart.1,0644,%%MAN%%/man1/rcstart.1
"

links="
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rcstatus
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rcstop
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rcrestart
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rconestart
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rconestatus
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rconestop
%%PREFIX%%/sbin/rcstart,0755,%%PREFIX%%/sbin/rconerestart
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portbuild
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portclean
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portfetch
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portpackage
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portconfig-recursive
%%PREFIX%%/sbin/portconfig,0755,%%PREFIX%%/sbin/portfetch-recursive
"

for parameter; {
	case "${parameter%%=*}" in
		-prefix)
			prefix="${parameter#*=}"
		;;
		-tmp)
			tmp="${parameter#*=}"
		;;
		-awk)
			awk="${parameter#*=}"
		;;
		-ports)
			ports="${parameter#*=}"
		;;
		-nodoc)
			files="$(echo "$files" | grep -v '%%MAN%%')"
			links="$(echo "$links" | grep -v '%%MAN%%')"
		;;
		*)
			echo "Unknown parameter '$parameter'." 1>&2
			return 1
		;;
	esac
}

replace="
%%PREFIX%%,$prefix
%%MAN%%,$prefix/man
%%TMP%%,$tmp
%%PORTS%%,$ports
%%AWK%%,$awk
"

replace_cmd="sed"

IFS='
'

for substitution in $replace; {
	test -z "$substitution" && continue
	replace_cmd="$replace_cmd -e 's,$substitution,g'"
}

files="$(echo "$files" | eval "$replace_cmd")"
links="$(echo "$links" | eval "$replace_cmd")"

